org.apache.hadoop.mapreduce.security.token

## Class JobTokenIdentifier.Renewer

- java.lang.Object
- - org.apache.hadoop.security.token.TokenRenewer
  - - org.apache.hadoop.security.token.Token.TrivialRenewer
    - - org.apache.hadoop.mapreduce.security.token.JobTokenIdentifier.Renewer

- Enclosing class:
    JobTokenIdentifier

      @InterfaceAudience.Private
      public static class JobTokenIdentifier.Renewer
      extends org.apache.hadoop.security.token.Token.TrivialRenewer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Renewer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.io.Text` | `getKind()`

    - ### Methods inherited from class org.apache.hadoop.security.token.Token.TrivialRenewer

      `cancel, handleKind, isManaged, renew`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Renewer

          public Renewer()

  - ### Method Detail

    - #### getKind

          protected org.apache.hadoop.io.Text getKind()

      Overrides:
        `getKind` in class `org.apache.hadoop.security.token.Token.TrivialRenewer`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.